Subject: bug#65727: 30.0.50; Build failure in MSYS2 when --with-native-compilation

From: voi dfoo <[email-masked]>
Date: Sun, 3 Sep 2023 22:06:41 -0700

Occasionally I use appveyor/GitHub Actions to build Emacs for Windows
using MSYS environment. At some point the build started to fail when
making .elc files.

I suspect that newer version of dependencies (libgccjit?) caused the
crash because a previous passing commit now also failed.

I don't have a local environment to investigate further. I don't know
whether the following information is actionable but here they are

- The appveyor build history:
https://ci.appveyor.com/project/voidfoo/emacs-w64/history

- A previous passing AppVeyor build on top of commit 4b3de74:
  https://ci.appveyor.com/project/voidfoo/emacs-w64/builds/47147210

- GitHub action build on top of 4b3de74 that now is failing:
  https://github.com/voidfoo/emacs/actions/runs/6068869155/job/16462420999

- I tried to do a debug build and that is passing

https://github.com/voidfoo/emacs/actions/runs/6063066665/job/16449969955#step:6:3

In failing builds, it seems that Emacs crashed

  ELC      arc-mode.elc
  ELC      array.elc
Backtrace:
00007ff6afeeb38e
00007ff6afdb91c1
00007ff6afdd9d61
00007ff6aff4fafa
00007ffb47848060
00007ffb48265097
00007ffb481c4ce7
00007ffb48263e06
00007ff6afe3eb58
00007ff6afe48aea
00007ff6afe490ba
00007ffb1dfa77f1
00007ff6afe48aea
00007ff6afe490ba
00007ffb1dfa7910
00007ff6afe48aea
00007ffb1b05516f
00007ff6afe48aea
00007ffb1b0556db
00007ff6afe48aea
00007ffb1b055632
00007ff6afe48aea
00007ffb1dfb6902
00007ff6afe4c27e
00007ff6afe48aea
00007ffb1dfb59ca
00007ff6afe48aea
00007ffb1dfb24eb
00007ff6afe4c27e
00007ff6afe94818
00007ff6afe48aea
00007ffb1dfc8dcb
00007ffb1dfc901f
00007ffb1dfc93ba
00007ff6afe48aea
00007ffb1dfb0ddc
00007ff6afe48aea
00007ffb1dfb0c6e
00007ff6afe48aea
00007ffb1dfa1fbb
00007ff6afe48aea
00007ffb1dfb0d06
00007ff6afe48aea
00007ffb1dfaed7c
00007ff6afe48aea
00007ffb1dfaf79a
00007ff6afe48aea
00007ffb1dfad8c4
00007ff6afe48aea
00007ffb1dfcc9a5
00007ff6afe48aea
00007ffb1dfcc41f
00007ff6afe48aea
00007ffb19f72422
00007ff6afe48aea
00007ffb2d90f0bb
00007ff6afe48aea
00007ffb2d9072cf
00007ff6afe48aea
00007ffb2d903190
00007ff6afe4cc9a
00007ff6afe4f22a
...
make[3]: *** [Makefile:328: array.elc] Error 3

--
Voi dFoo